/*
 * SPDX-FileCopyrightText: Hanspeter Portner <dev@open-music-kontrollers.ch>
 * SPDX-License-Identifier: Artistic-2.0
 */

#ifndef _LFRTM_H
#define _LFRTM_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _lfrtm_t lfrtm_t;

// non-rt
lfrtm_t *
lfrtm_new(unsigned num, size_t minimum);

// non-rt
int
lfrtm_free(lfrtm_t *lfrtm);

// non-rt
int
lfrtm_inject(lfrtm_t *lfrtm);

// rt-safe
void *
lfrtm_alloc(lfrtm_t *lfrtm, size_t size, bool *more);

#ifdef __cplusplus
}
#endif

#endif //_LFRTM_H
